Name:           octave-miscellaneous
Version:        1.0
Release:        alt1.M51.1
Summary:        Miscellaneous functions contributed to Octave
Packager:	Paul Wolneykien <manowar@altlinux.ru>

Group:		Sciences/Mathematics
License:        GPLv2+ and Public Domain
URL:            http://octave.sourceforge.net/

Source0:        miscellaneous.tar.gz
Patch0:		hdf5-include.patch

Requires:	%name-base

# Automatically added by buildreq on Wed May 20 2009
BuildRequires: gcc-c++ gcc-fortran libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel zlib-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This is meta-package for auxiliarry tasks.

%package base
Group:		Sciences/Mathematics
Provides:	octave(miscellaneous) = 1.0.8
Summary: Miscellaneous functions contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include miscellaneous
tools including waitbar, xml tools, etc.

%prep
%setup -c
%patch0 -p1

%build
for dir in miscellaneous; do
    pushd $dir
    %configure
    make TMPDIR=%{_tmppath}
    popd
done

%install
for dir in miscellaneous; do
    pushd $dir
    make install TMPDIR=%{_tmppath} DESTDIR=$RPM_BUILD_ROOT DISTPKG=rpm
    popd
done

mkdir -p %buildroot%_docdir/%name-%version/miscellaneous-1.0.8
mv %buildroot%_datadir/octave/packages/miscellaneous-1.0.8/doc/server.txt %buildroot%_docdir/%name-%version/miscellaneous-1.0.8/

%post
octave -q -H --no-site-file --eval "pkg('rebuild');"

%postun
octave -q -H --no-site-file --eval "pkg('rebuild');"

%files base
%{_datadir}/octave/packages/miscellaneous-1.0.8/*.m
%{_datadir}/octave/packages/miscellaneous-1.0.8/packinfo/*
%{_datadir}/octave/packages/miscellaneous-1.0.8/packinfo/.autoload
%{_libdir}/octave/packages/miscellaneous-1.0.8/*/*.oct
%_docdir/%name-%version/miscellaneous-1.0.8/*

%changelog
* Thu Jan 28 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1.M51.1
- Release 1 for the branch 5.1.

* Wed May 20 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Initial build for ALTLinux
